Package org.eclipse.osgi.signedcontent

# Class InvalidContentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.eclipse.osgi.signedcontent.InvalidContentException

All Implemented Interfaces:
  `Serializable`

public class InvalidContentException extends IOException
Indicates that signed content is invalid according to one of the signers.

Since:
  3.4
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`InvalidContentException(String message, Throwable cause)`
Constructs an `InvalidContentException` with the specified detail message and cause.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Returns the cause of this exception or `null` if no cause was specified when this exception was created.
`Throwable`
`initCause(Throwable t)`
The cause of this exception can only be set when constructed.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidContentException

public InvalidContentException(String message, Throwable cause)
Constructs an `InvalidContentException` with the specified detail message and cause.

Parameters:
  `message` - the exception message
  `cause` - the cause, may be `null`

## Method Details

### getCause

public Throwable getCause()
Returns the cause of this exception or `null` if no cause was specified when this exception was created.

Overrides:
  `getCause` in class `Throwable`
Returns:
  The cause of this exception or `null` if no cause was created.

### initCause

public Throwable initCause(Throwable t)
The cause of this exception can only be set when constructed.

Overrides:
  `initCause` in class `Throwable`
Parameters:
  `t` - Cause of the exception.
Returns:
  This object.
Throws:
  `IllegalStateException` - This method will always throw an `IllegalStateException` since the cause of this exception can only be set when constructed.